{#<pagetitle>NHS.UK | Disabled - address</pagetitle>#}
{% from '../../../common/components/checkboxes/macro.njk' import checkboxes %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/p/macro.njk' import p %}

<form action="other-address" method="post" class="form">
  <fieldset class="nhsuk-fieldset ">
    <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
      {{ heading({
          subHeading: { text: 'other-address.section.heading'},
          text:  'other-address.h1',
          classes: 'nhsuk-heading-l govuk-heading-l',
          locale: locale
      }) }}
    </legend>
    {{ input({
          "label": {
             "text": "other-address.input1",
             locale:locale
           },
          "id": "DpAddressLine1",
          "name": "DpAddressLine1",
          value: data.DisabledPersonDetails.DpAddressLine1,
          "errorMessage": parseErrors(errors, 'DpAddressLine1'),
          "classes": ""
        }) }}
    {{ input({
            "label": {
                "text": "other-address.input2",
                locale:locale
             },
            "id": "DpAddressLine2",
            "name": "DpAddressLine2",
            value: data.DisabledPersonDetails.DpAddressLine2,
            "errorMessage": parseErrors(errors, 'DpAddressLine2'),
            "classes": ""
        }) }}

    {{ input({
          "label": {
             "text": "other-address.input3",
             locale:locale
           },
          "id": "DpTownOrCity",
          "name": "DpTownOrCity",
          value: data.DisabledPersonDetails.DpTownOrCity,
          "errorMessage": parseErrors(errors, 'DpTownOrCity'),
          "classes": "nhsuk-u-width-two-thirds"
        }) }}
    {{ input({
          "label": {
             "text": "other-address.input4",
             locale:locale
           },
          "id": "DpCounty",
          "name": "DpCounty",
          value: data.DisabledPersonDetails.DpCounty,
          "errorMessage": parseErrors(errors, 'DpCounty'),
          "classes": "nhsuk-u-width-two-thirds"
        }) }}
    {{ input({
          "label": {
             "text": "other-address.input5",
             locale:locale
           },
          "id": "DpPostcode",
          "name": "DpPostcode",
          value: data.DisabledPersonDetails.DpPostcode,
          "errorMessage": parseErrors(errors, 'DpPostcode'),
          "classes": "nhsuk-input--width-10"
        }) }}

  </fieldset>
  <br>
  {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>